.ad-user-list {
  display: flex;
  padding: 8px;
}
div.ad-user-list-avatar {
  background: #e9e9e9;
  position: relative;
  width: 1em;
  height: 1em;
  line-height: 48px;
  font-size: 48px;
  border-radius: 50%;
  overflow: hidden;
  transition: border-radius ease .15s;
}
.ad-user-list:hover > div.ad-user-list-avatar {
  border-radius: 30%;
}
img.ad-user-list-avatar {
  transition: opacity ease .25s;
  width: 1em;
  height: 1em;
  object-fit: cover;
}
div.ad-user-list-avatar.loading > img.ad-user-list-avatar {
  opacity: 0;
}
div.ad-user-list-avatar:not(.loading)::before {
  opacity: 0;
}
div.ad-user-list-avatar::before, img.ad-user-list-avatar {
  display: block;
  position: absolute;
  opacity: 1;
}
div.ad-user-list-avatar::before {
  color: #cecece;
  line-height: 1em;
  font-size: 1.3em;
  text-align: center;
  width: 100%;
  height: 100%;
  margin-top: 0.09em;
}
.ad-user-list > div:not(:last-child) {
  margin-right: 12px;
}
.ad-user-list-info-primary {
  font-weight: 600;
}
.ad-user-name a {
  color: black;
}
.ad-user-list-info-secondary {
  line-height: 1em;
}
.ad-user-username {
  color: gray;
}
.ad-user-id {
  margin-left: 8px;
  font-weight: 200;
  color: #828282;
}
.ad-user-list-emails {
  flex: 1;
  text-align: right;
}

#users-container {
  margin: 60px;
}

.ad-user-inline .ad-user-inline-text > a {
  color: black;
}
.ad-user-inline > .ad-tooltip {
  background: white;
  color: black;
  border: 1px solid #d3d3d3;
  padding: 16px;
}
div.ad-user-inline-tooltip {
  display: flex;
}
div.ad-user-inline-tooltip-avatar {
  background: #e9e9e9;
  position: relative;
  width: 1em;
  height: 1em;
  line-height: 48px;
  font-size: 48px;
  border-radius: 50%;
  overflow: hidden;
  transition: border-radius ease .15s;
  margin-right: 16px;
}
img.ad-user-inline-tooltip-avatar {
  transition: opacity ease .25s;
  width: 1em;
  height: 1em;
  object-fit: cover;
}
div.ad-user-inline-tooltip-avatar.loading > img.ad-user-inline-tooltip-avatar {
  opacity: 0;
}
div.ad-user-inline-tooltip-avatar:not(.loading)::before {
  opacity: 0;
}
div.ad-user-inline-tooltip-avatar::before, img.ad-user-inline-tooltip-avatar {
  display: block;
  position: absolute;
  opacity: 1;
}
div.ad-user-inline-tooltip-avatar::before {
  color: #cecece;
  line-height: 1em;
  font-size: 1.3em;
  text-align: center;
  width: 100%;
  height: 100%;
  margin-top: 0.09em;
}

.ad-user-inline-tooltip-author {
  font-weight: 600;
}
.ad-user-inline-tooltip-username {
  color: gray;
  line-height: 0.8em;
}


/* skeleton */

.ad-skel-user-list {
  padding: 8px;
  display: flex;
}
.ad-skel-user-list-avatar {
  width: 48px;
  border-radius: 50% !important;
  height: 48px !important;
}
.ad-skel-user-list-info {
  margin-left: 8px;
}
.ad-skel-user-list-name {
  width: 230px;
  margin-bottom: 8px;
}
.ad-skel-user-list-username {
  width: 180px;
}

.ad-skel-user-inline {
  width: 100px;
}